Docs  /  Stats

Stats

Global aggregate numbers and timeseries.

Snapshot

GET /api/v2/stats
curl https://divergence.news/api/v2/stats

Response

{
  "data": {
    "articles_total": 14203,
    "events_total": 1782,
    "outlets_active": 27,
    "avg_divergence_7d": 38.4,
    "last_ingest_at": "2026-04-18T14:00:00Z",
    "next_ingest_at": "2026-04-18T14:10:00Z",
    "ingest_cadence_minutes": 10
  }
}

This is the endpoint behind the homepage trust strip. Cached 60 seconds.

Timeseries

GET /api/v2/stats/timeseries
curl "https://divergence.news/api/v2/stats/timeseries?interval=day&since=2026-03-18T00:00:00Z"

Parameters

NameTypeDefaultNotes
categoryenum-Omit to get one series per category
intervalenumdayhour (<= 48h), day (<= 90d), week
sinceISO 8601-Must be within public window if no token
untilISO 8601-

Response

{
  "data": {
    "interval": "day",
    "series": [
      {
        "category": "economy",
        "points": [
          { "t": "2026-04-10T00:00:00Z", "avg_divergence": 37.2, "n": 41 },
          { "t": "2026-04-11T00:00:00Z", "avg_divergence": 41.8, "n": 38 }
        ]
      },
      {
        "category": "war",
        "points": [ ... ]
      }
    ]
  }
}